Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.stats
Class i18nStatistic

    java.lang.Object
      org.jivesoftware.openfire.stats.i18nStatistic

All Implemented Interfaces:
  Statistic

    public abstract class i18nStatistic

extends Object
implements Statistic

A convience class to build statistic parameters out of a resource bundle.

Author:
  Alexander Wenckus

Nested Class Summary

Nested classes/interfaces inherited from interface org.jivesoftware.openfire.stats.Statistic
`Statistic.Type`

Constructor Summary
`i18nStatistic(String resourceKey, Statistic.Type statisticType)`
`i18nStatistic(String resourceKey, String pluginName, Statistic.Type statisticType)`

Method Summary
`String` | `getDescription()` Returns a description of the stat.
`String` | `getName()` Returns the name of a stat.
`Statistic.Type` | `getStatType()` Returns the type of a stat.
`String` | `getUnits()` Returns the units that relate to the stat.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jivesoftware.openfire.stats.Statistic
`isPartialSample, sample`

Constructor Detail

### i18nStatistic

    public i18nStatistic(String resourceKey,
                         Statistic.Type statisticType)

### i18nStatistic

    public i18nStatistic(String resourceKey,
                         String pluginName,
                         Statistic.Type statisticType)

Method Detail

### getName

    public final String getName()

  Description copied from interface: `Statistic`
  Returns the name of a stat.

  Specified by:
    `getName` in interface `Statistic`
  Returns:
    the name of a stat.

### getStatType

    public final Statistic.Type getStatType()

  Description copied from interface: `Statistic`
  Returns the type of a stat.

  Specified by:
    `getStatType` in interface `Statistic`
  Returns:
    the type of a stat.

### getDescription

    public final String getDescription()

  Description copied from interface: `Statistic`
  Returns a description of the stat.

  Specified by:
    `getDescription` in interface `Statistic`
  Returns:
    a description of the stat.

### getUnits

    public final String getUnits()

  Description copied from interface: `Statistic`
  Returns the units that relate to the stat.

  Specified by:
    `getUnits` in interface `Statistic`
  Returns:
    the name of the units that relate to the stat.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.